Bug 861553 - [US2105][fork] Cartridges listed twice in rhc app cartridge list
[US2105][fork] Cartridges listed twice in rhc app cartridge list
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 02:46 EDT by Jianwei Hou
Modified: 2015-05-14 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-09-29 02:46:07 EDT
Description of problem:
run 'rhc app cartridge list' from cli, some cartridges are listed twice.

Version-Release number of selected component (if applicable):
on fork_ami_2105_189

How reproducible:
Always

Steps to Reproduce:
1. Run 'rhc app cartridge list'

  
Actual results:
cartridges are displayed twice.
[root@ip-10-4-63-135 ~]# rhc app cartridge list

List of supported embedded cartridges:

Obtaining list of cartridges (please excuse the delay)...
cron-1.4, 10gen-mms-agent-0.1, phpmyadmin-3.4, metrics-0.1, phpmoadmin-1.0, rockmongo-1.1, jenkins-client-1.4, mongodb-2.2, cron-1.4, mysql-5.1, postgresql-8.4, haproxy-1.4, 10gen-mms-agent-0.1, phpmyadmin-3.4, metrics-0.1, phpmoadmin-1.0, rockmongo-1.1, jenkins-client-1.4


Expected results:
Should display cartridges only once, eg:
cron-1.4, 10gen-mms-agent-0.1, phpmyadmin-3.4, metrics-0.1, phpmoadmin-1.0, rockmongo-1.1, jenkins-client-1.4, mongodb-2.2, mysql-5.1, postgresql-8.4, haproxy-1.4

Additional info:
Comment 1 Dan Mace 2012-10-01 14:29:01 EDT
This issue is actually rooted in the stickshift-node library. I'll take it.
Comment 2 Dan Mace 2012-10-01 14:39:26 EDT
Fixed in latest fork AMI.
Comment 3 Chandrika Gole 2012-10-02 15:54:27 EDT
verified on fork_ami_US2105_199 (ami-5950ed30)
Chandrikas-MacBook-Pro:django1 chandrikagole$ rhc app cartridge list

List of supported embedded cartridges:

Obtaining list of cartridges (please excuse the delay)...

mongodb-2.2, cron-1.4, mysql-5.1, postgresql-8.4, haproxy-1.4, 10gen-mms-agent-0.1, phpmyadmin-3.4, metrics-0.1, phpmoadmin-1.0, rockmongo-1.1, jenkins-client-1.4

Chandrikas-MacBook-Pro:django1 chandrikagole$

Note You need to log in before you can comment on or make changes to this bug.